Mantis Bug Tracker

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0000744Core InformUnderstandingpublic2011-09-12 14:302014-05-07 07:33
ReporterFelix Larsson 
Assigned Tograham 
PrioritynormalSeveritymildReproducibilityalways
StatusclosedResolutionfixed 
PlatformMacintoshOSOS X OS Version5.8
Product Version6G60 
Target VersionFixed in Version6L02 
Summary0000744: Does the player mean rules don't run for actions applying to a topic
DescriptionThe does the player mean rulebook is considered by the game only when the topic understood is also an object in scope.
Minimal Source Text To Reproduce
Lab is a room.

The Book of Lies is in Lab. The Book of Truth is in Lab.
Does the player mean consulting the Book of Lies about: it is very unlikely.
Does the player mean consulting the Book of Truth about: it is very likely.

Test me with "consult book about me / consult book about foo"
Additional InformationTopics don't pass the condition at line 53 of the ChooseObjects routine in B/parst ยง62:

if (line_ttype-->pcount == ELEMENTARY_TT) {

Changing the line to
if (line_ttype-->pcount == ELEMENTARY_TT or TOPIC_TOKEN) {
may be a possible fix.
TagsNo tags attached.
Effect(serious/mild) Game compiles but misbehaves
Attached Files

- Relationships

-  Notes
(0001273)
EmacsUser (manager)
2011-09-16 09:23

The suggested fix yields some improvement:

- - - -
>test me
(Testing.)

>[1] consult book about me
(the Book of Truth about)
You discover nothing of interest in the Book of Truth.

>[2] consult book about foo
Which do you mean, the Book of Lies or the Book of Truth?

>
- - - -
(0002571)
graham (administrator)
2014-03-16 14:42

The suggested fix was a placebo; line_ttype-->pcount can't be TOPIC_TOKEN; that's line_ttype-->pdata. But I've found a fix anyway.

- Issue History
Date Modified Username Field Change
2011-09-12 14:30 Felix Larsson New Issue
2011-09-16 09:23 EmacsUser Note Added: 0001273
2011-09-16 09:23 EmacsUser Status new => confirmed
2011-09-16 09:23 EmacsUser Category Rules and rulebooks => Understanding
2011-09-16 09:23 EmacsUser Additional Information Updated View Revisions
2014-03-16 14:42 graham Note Added: 0002571
2014-03-16 14:42 graham Status confirmed => resolved
2014-03-16 14:42 graham Resolution open => fixed
2014-03-16 14:42 graham Assigned To => graham
2014-05-07 07:32 jmcgrew Fixed in Version => 6L02
2014-05-07 07:33 jmcgrew Status resolved => closed


Copyright © 2000 - 2010 MantisBT Group
Powered by Mantis Bugtracker